Gotham Nightlies from Beta2 ISO install

  Thread Rating:
  • 0 Votes - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Post Reply
tret Offline
Senior Member
Posts: 112
Joined: Aug 2008
Reputation: 1
Post: #1
Hi all,

I installed Gotham Beta2 via the beta 2-1 iso from this thread: http://forum.xbmc.org/showthread.php?tid=189553

I want to try out the new ReFocus Gotham preview skin however the installation instructions explicitly state that the latest gotham nightlies are required. I added the Team XBMC nightly PPA however when I check the available candidate for installation, the release naming convention makes me think it's going to install an XBMC 14 nightly (which isn't what I want to do). Am I reading the naming convention wrong? Is this the wrong method?

Code:
sudo apt-cache policy xbmc
xbmc:
  Installed: 2:13.0~git20140329.0731-beta3-0trusty
  Candidate: 2:14.0~git20140406.0204-577494a-0trusty
  Version table:
     2:14.0~git20140406.0204-577494a-0trusty 0
        500 http://ppa.launchpad.net/team-xbmc/xbmc-nightly/ubuntu/ trusty/main amd64 Packages
*** 2:13.0~git20140329.0731-beta3-0trusty 0
        500 http://ppa.launchpad.net/team-xbmc/unstable/ubuntu/ trusty/main amd64 Packages
        100 /var/lib/dpkg/status
     2:12.3+dfsg1-3ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ trusty/universe amd64 Packages

The PPA I added for reference: https://launchpad.net/~team-xbmc/+archive/xbmc-nightly

Thanks all,
tret
find quote
Martijn Offline
Team Kodi
Posts: 12,184
Joined: Jul 2011
Reputation: 170
Location: Dawn of time
Post: #2
for Gotham you need the unstable ppa to get the betas

Always read the XBMC online-manual, FAQ and search the forums before posting.
Do NOT e-mail Team-XBMC members asking for support. Read/follow the forum rules.
For troubleshooting and bug reporting, make sure you read this first

For your mediacenter artwork go to
[Image: fanarttv.png]
find quote
tret Offline
Senior Member
Posts: 112
Joined: Aug 2008
Reputation: 1
Post: #3
(2014-04-06 17:42)Martijn Wrote:  for Gotham you need the unstable ppa to get the betas

Thanks for the reply. I actually want Gotham nightlies, I'm already on the latest in the Unstable PPA (Gotham Beta3). My concern is that, based on the apt-cache policy output it looks like I'd be going to an xbmc14 nightly instead of the latest xbmc13 nightly.

Thanks,
tret

I guess something else I should ask, are nightly PPA's still being built for Gotham?
(This post was last modified: 2014-04-06 17:51 by tret.)
find quote
Martijn Offline
Team Kodi
Posts: 12,184
Joined: Jul 2011
Reputation: 170
Location: Dawn of time
Post: #4
correct. PPA nightlies are build from master branch and not from Gotham.
atm there is very little difference between Gotham and master (13.0 and 14.0) code wise. This will change over time as development progresses.

Always read the XBMC online-manual, FAQ and search the forums before posting.
Do NOT e-mail Team-XBMC members asking for support. Read/follow the forum rules.
For troubleshooting and bug reporting, make sure you read this first

For your mediacenter artwork go to
[Image: fanarttv.png]
find quote
tret Offline
Senior Member
Posts: 112
Joined: Aug 2008
Reputation: 1
Post: #5
(2014-04-06 17:52)Martijn Wrote:  correct. PPA nightlies are build from master branch and not from Gotham.
atm there is very little difference between Gotham and master (13.0 and 14.0) code wise. This will change over time as development progresses.

Gotcha, thanks. I wonder what Jeroen's intention was when he stated that users should be on the latest Gotham nightly. I'll have to ask.
find quote
Martijn Offline
Team Kodi
Posts: 12,184
Joined: Jul 2011
Reputation: 170
Location: Dawn of time
Post: #6
(2014-04-06 17:54)tret Wrote:  
(2014-04-06 17:52)Martijn Wrote:  correct. PPA nightlies are build from master branch and not from Gotham.
atm there is very little difference between Gotham and master (13.0 and 14.0) code wise. This will change over time as development progresses.

Gotcha, thanks. I wonder what Jeroen's intention was when he stated that users should be on the latest Gotham nightly. I'll have to ask.

All other platforms nightlies are actually build from Gotham. Linux is the exception.

Beta3 is good enough for reFocus

Always read the XBMC online-manual, FAQ and search the forums before posting.
Do NOT e-mail Team-XBMC members asking for support. Read/follow the forum rules.
For troubleshooting and bug reporting, make sure you read this first

For your mediacenter artwork go to
[Image: fanarttv.png]
(This post was last modified: 2014-04-06 18:01 by Martijn.)
find quote
tret Offline
Senior Member
Posts: 112
Joined: Aug 2008
Reputation: 1
Post: #7
Understood, thanks again. I'll see what Jeroen recommends for running ReFocus in this scenario.

tret
find quote
Martijn Offline
Team Kodi
Posts: 12,184
Joined: Jul 2011
Reputation: 170
Location: Dawn of time
Post: #8
Beta3 is good enough for reFocus

Always read the XBMC online-manual, FAQ and search the forums before posting.
Do NOT e-mail Team-XBMC members asking for support. Read/follow the forum rules.
For troubleshooting and bug reporting, make sure you read this first

For your mediacenter artwork go to
[Image: fanarttv.png]
find quote
tret Offline
Senior Member
Posts: 112
Joined: Aug 2008
Reputation: 1
Post: #9
(2014-04-06 18:01)Martijn Wrote:  Beta3 is good enough for reFocus

Great, I'll give it a try. Appreciate your help and speedy replies Smile
find quote